#!/bin/bash

set -e

cd "$(dirname "${BASH_SOURCE[0]}")"

pushd ..
OSIV2_POSTFACH_VERSION=$(mvn help:evaluate -Dexpression=project.version -q -DforceStdout)
echo "OSIV2_POSTFACH_VERSION: $OSIV2_POSTFACH_VERSION"
mvn -DskipTests=true clean install
popd

PROJECT_DIRECTORY=../../
pushd "$PROJECT_DIRECTORY"

pushd nachrichten-manager
NACHRICHTEN_MANAGER_VERSION=$(mvn help:evaluate -Dexpression=project.version -q -DforceStdout)
echo "NACHRICHTEN_MANAGER_VERSION: $NACHRICHTEN_MANAGER_VERSION"
sed -i \
 's|<osiv2-postfach.version>.*</osiv2-postfach.version>|<osiv2-postfach.version>'"$OSIV2_POSTFACH_VERSION"'</osiv2-postfach.version>|g' \
 nachrichten-manager-server/pom.xml
mvn -DskipTests=true clean install
popd

pushd vorgang-manager
sed -i \
 's|<nachrichten-manager.version>.*</nachrichten-manager.version>|<nachrichten-manager.version>'"$NACHRICHTEN_MANAGER_VERSION"'</nachrichten-manager.version>|g' \
 vorgang-manager-server/pom.xml
mvn -DskipTests=true clean install
cd vorgang-manager-server
mvn -DskipTests=true spring-boot:build-image
popd