#!/bin/bash

set -e

NAMESPACE=${NAMESPACE:-by-ozg4094-dev}
SMOCKER_POD=$(kubectl get pods -n "$NAMESPACE" | grep -E ^smocker | cut -d' ' -f1)
if [[ -z "$SMOCKER_POD" ]]
then
  echo "No smocker pod found in namespace: $NAMESPACE"
  exit 1
fi
echo "Forwarding smocker pod: $SMOCKER_POD in namespace: $NAMESPACE"
exec kubectl port-forward "$SMOCKER_POD" 8080:8080 8081:8081