package de.ozgcloud.nachrichten.postfach.osiv2.attachment;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.apilib.file.OzgCloudFile;
import de.ozgcloud.apilib.file.OzgCloudFileId;
import de.ozgcloud.apilib.file.OzgCloudUploadFile;
import de.ozgcloud.nachrichten.postfach.osiv2.model.AttachmentFile;
import de.ozgcloud.vorgang.grpc.file.GrpcOzgFile;

@Mapper(unmappedTargetPolicy = ReportingPolicy.ERROR)
public interface Osi2AttachmentFileMapper {

	// From de.ozgcloud.nachrichten.file.AttachmentFileService
	String ATTACHMENT_FIELD_NAME = "PostfachAttachment";

	OzgCloudFile mapToUploadFileMetadata(GrpcOzgFile grpcOzgFile);

	default OzgCloudFileId mapToUploadFileId(String fileId) {
		return new OzgCloudFileId(fileId);
	}

	@Mapping(target = "fileName", source = "name")
	@Mapping(target = "fieldName", constant = ATTACHMENT_FIELD_NAME)
	OzgCloudUploadFile toOzgCloudUploadFile(AttachmentFile attachmentFile);

}
