package de.ozgcloud.nachrichten.postfach.osiv2.extension;

import java.io.ByteArrayInputStream;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.nachrichten.postfach.osiv2.attachment.Osi2AttachmentFileService;
import de.ozgcloud.nachrichten.postfach.osiv2.model.AttachmentFile;
import lombok.extern.log4j.Log4j2;

@Log4j2
public class AttachmentExampleUploadUtil {

	public static final byte[] EXAMPLE_TEXT_DATA = LoremIpsum.getInstance().getParagraphs(5,10).getBytes();

	public static String uploadTextFile(Osi2AttachmentFileService remoteService) {

		return remoteService.uploadFileAndReturnId(AttachmentFile.builder()
						.contentType("text/plain")
						.name("test.txt")
						.vorgangId(UUID.randomUUID().toString())
				.build(), new ByteArrayInputStream(EXAMPLE_TEXT_DATA));
	}

}
