package de.ozgcloud.nachrichten.postfach.osiv2.extension;

import java.time.Duration;

import jakarta.validation.constraints.NotNull;

import org.testcontainers.containers.GenericContainer;
import org.testcontainers.utility.DockerImageName;

public class VorgangManagerContainer extends GenericContainer<VorgangManagerContainer> {

	private static final DockerImageName DEFAULT_IMAGE_NAME = DockerImageName.parse("docker.ozg-sh.de/vorgang-manager");
	private static final String DEFAULT_TAG = "latest";
	public static final int PORT = 9090;

	public VorgangManagerContainer() {
		this(DEFAULT_IMAGE_NAME.withTag(DEFAULT_TAG));
	}

	public VorgangManagerContainer(@NotNull DockerImageName dockerImageName) {
		super(dockerImageName);
		addExposedPort(PORT);
		super.withStartupTimeout(Duration.ofMinutes(2));
	}

	public String getAddress() {
		return "%s:%d".formatted(getHost(), getMappedPort(PORT));
	}

}
