package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import static de.ozgcloud.nachrichten.postfach.osiv2.factory.V1ReplyMessageTestFactory.*;

import java.util.Arrays;
import java.util.UUID;

import de.ozgcloud.nachrichten.postfach.osiv2.gen.model.MessageExchangeReceiveAttachment;
import de.ozgcloud.nachrichten.postfach.osiv2.gen.model.MessageExchangeReceiveMessage;

public class MessageExchangeReceiveMessageTestFactory {

	public static final String ATTACHMENT_1_ID = UUID.randomUUID().toString();
	public static final String ATTACHMENT_2_ID = UUID.randomUUID().toString();

	public static MessageExchangeReceiveMessage create(String... attachmentIds) {
		return new MessageExchangeReceiveMessage()
				.guid(UUID.fromString(MESSAGE_ID))
				.attachments(attachmentIds.length == 0 ? null : Arrays.stream(attachmentIds)
						.map(attachmentId -> MessageExchangeReceiveAttachment.builder()
								.guid(UUID.fromString(attachmentId))
								.build())
						.toList());
	}
}
