package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import static de.ozgcloud.nachrichten.postfach.osiv2.model.Osi2Attachment.*;

import java.util.UUID;

import de.ozgcloud.apilib.file.OzgCloudFile;
import de.ozgcloud.apilib.file.OzgCloudFileId;
import de.ozgcloud.nachrichten.postfach.osiv2.model.Osi2Attachment;

public class Osi2FileUploadTestFactory {

	public static final String UPLOAD_FILE_ID = UUID.randomUUID().toString();
	public static final String UPLOAD_GUID = UUID.randomUUID().toString();
	public static final String UPLOAD_GUID2 = UUID.randomUUID().toString();
	public static final String UPLOAD_NAME = "upload.txt";
	public static final String UPLOAD_CONTENT_TYPE = "text/plain";
	public static final long NUMBER_OF_CHUNKS = 5;
	public static final long UPLOAD_SIZE = CHUNK_SIZE * NUMBER_OF_CHUNKS;

	public static Osi2Attachment create() {
		return createBuilder().build();
	}

	public static Osi2Attachment.Osi2AttachmentBuilder createBuilder() {
		return Osi2Attachment.builder()
				.guid(UPLOAD_GUID)
				.file(OzgCloudFile.builder()
						.id(new OzgCloudFileId(UPLOAD_FILE_ID))
						.name(UPLOAD_NAME)
						.contentType(UPLOAD_CONTENT_TYPE)
						.size(UPLOAD_SIZE)
						.build());
	}
}
