package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import static de.ozgcloud.nachrichten.postfach.osiv2.factory.PostfachNachrichtTestFactory.*;

import java.time.ZonedDateTime;
import java.util.List;
import java.util.UUID;

import de.ozgcloud.nachrichten.postfach.PostfachNachricht;
import de.ozgcloud.nachrichten.postfach.osiv2.model.Osi2Message;

public class Osi2MessageTestFactory {

	public static final String MAILBOX_ID = UUID.randomUUID().toString();

	public static Osi2Message create() {
		return createBuilder().build();
	}

	public static Osi2Message.Osi2MessageBuilder createBuilder() {
		return Osi2Message.builder()
				.vorgangId(VORGANG_ID)
				.mailboxId(MAILBOX_ID)
				.messageId(MESSAGE_ID)
				.mailBody(MAIL_BODY)
				.subject(MAIL_SUBJECT)
				.replyOption(PostfachNachricht.ReplyOption.FORBIDDEN)
				.createdAt(ZonedDateTime.now())
				.attachments(List.of());
	}
}
