package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import java.util.UUID;

import de.ozgcloud.nachrichten.postfach.PostfachAddress;
import de.ozgcloud.nachrichten.postfach.StringBasedIdentifier;

public class PostfachAddressTestFactory {

	public static final String NAME_IDENTIFIER = UUID.randomUUID().toString();
	public static final String SERVICE_KONTO_TYPE = "TYPE1";

	public static PostfachAddress create() {
		return createBuilder().build();
	}

	public static PostfachAddress.PostfachAddressBuilder createBuilder() {
		return PostfachAddress.builder()
				.type(1)
				.serviceKontoType(SERVICE_KONTO_TYPE)
				.identifier(StringBasedIdentifier.builder()
						.postfachId(NAME_IDENTIFIER)
						.build());
	}
}
