package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import java.util.UUID;

import de.ozgcloud.nachrichten.postfach.osiv2.gen.model.V1ReplyFiles;

public class V1ReplyFilesTestFactory {

	public static final String ATTACHMENT_GUID = UUID.randomUUID().toString();
	public static final String ATTACHMENT_NAME = "test.txt";
	public static final String ATTACHMENT_CONTENT_TYPE = "text/plain";
	public static final Long ATTACHMENT_SIZE = 1000L;

	public static V1ReplyFiles create() {
		return createBuilder().build();
	}

	public static V1ReplyFiles.Builder createBuilder() {
		return V1ReplyFiles.builder()
				.guid(UUID.fromString(ATTACHMENT_GUID))
				.name(ATTACHMENT_NAME)
				.mimeType(ATTACHMENT_CONTENT_TYPE)
				.size(ATTACHMENT_SIZE);
	}
}
