package de.ozgcloud.nachrichten.postfach.osiv2.transfer;

import static org.assertj.core.api.AssertionsForInterfaceTypes.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

class Osi2HtmlDocumentTest {

	@DisplayName("should render anchor link")
	@Test
	void shouldRenderAnchorLink() {
		var plainText = renderPlainText("<a href=\"https://www.example.com\">&amp;Example<br></a><br/>text");

		assertThat("<a href=\"https://www.example.com\">&Example<br></a><br/>text").isEqualTo(plainText);
	}
	
	private String renderPlainText(String html) {
		return new Osi2HtmlDocument(html).renderToPlainText();
	}
}